AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create bulk virtual account numbers

Create Virtual Account Numbers in Bulk.

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/bulk-virtual-account-numbers

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

batch_ref string required
This is a unique identifier to distinguish between batches

bulk_data array of objects required
An array of customer details to be used to create the virtual accounts.

FILL IN ALL REQUIRED FIELDS

lastname string required
This is the customer's last name or surname

firstname string required
This is the customer's firstname

email string required
This is the customer's email address.

bvn string required
This is the customer’s bank verification number. It is required when creating a static virtual account. It can be used in place of the customer's national identification number.

nin string
This is the customer’s national identification number. It is required when creating a static virtual account. It can be used in place of the customer's bank verification number.

is_permanent boolean required
This indicates whether the account to be created should be static (permanent) or not.

narration string
This is used to give context to the reason for the request.

currency string
The currency of the Virtual Accounts to be created Allowed values: NGN, GHS.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

batch_id string

response_code string

response_message string

FILL IN ALL REQUIRED FIELDS

status string

message string

data string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys